package com.wissamfawaz;

import java.util.Arrays;
import java.util.Comparator;
import java.util.List;
import java.util.stream.Collectors;

public class Main {

	public static void main(String[] args) {
		Integer[] arr = {12, 3, 2, 10, 21};
		
		System.out.printf("Original list: %s%n", Arrays.asList(arr));
		System.out.printf("Values sorted in an ascending order: %s%n", 
				Arrays.stream(arr).sorted().collect(Collectors.toList()));
		List<Integer> biggerThan4 = 
				Arrays.stream(arr)
					  .filter(val -> val > 4)
					  .peek(val -> System.out.printf("%d ", val))
					  .collect(Collectors.toList());
		System.out.println();
		System.out.printf("Values bigger than 4: %s%n", biggerThan4);
		
		System.out.printf("Values bigger than 4 sorted: %s%n",
				biggerThan4.stream().sorted(Comparator.reverseOrder()).collect(Collectors.toList()));

	}

}
